<script setup lang="ts">
import { io } from 'socket.io-client';
import { globalData } from './data';



const showPopup =ref<boolean>()

onMounted(() => {
  const socket = io('https://webrtc-nest.onrender.com', {query: { token: globalData.key } });
  socket.emit('online');
  socket.on('called', () => {
  showPopup.value = true;
})
})


</script>

<template>
  <div>
    <header>
      <NuxtLink to="/account" class="navButton">PROFILE</NuxtLink>
      <NuxtLink to="/" class="navButton">CREATE ROOM</NuxtLink>
    </header>
    <CallPopup v-if="showPopup" />
    <NuxtPage />
  </div>
</template>

<style>
@import url('https://fonts.googleapis.com/css2?family=Roboto&display=swap');

* {
  box-sizing: border-box;
}

html {
  height: 100%;
}
body {
  margin: 0;
  padding: 0;
  background-color: #020420;
  color: white;
  font-family: 'Roboto', sans-serif;
  height: 100%;
}

header {
  background-color: #00000098;
  min-height: 5vh;
  display: flex;
  justify-content: right;
  padding: 1rem;
}

.navButton {
  all: unset;
  border-left: 1px white solid;
  padding: 1rem;
}

.navButton:hover {
  cursor: pointer;
}
</style>